import sys, os
sys.path.append(os.path.join(os.path.dirname(sys.path[0]), 'build'))
import service_pb2 as pb

from typing import Union

from fastapi import FastAPI

app = FastAPI()


@app.get("/")
def read_root():
    return dir(pb)


@app.get("/items/{item_id}")
def read_item(item_id: int, q: Union[str, None] = None):
    return {"item_id": item_id, "q": q}
